Create a subscription fee
Attaches recurring-payment terms to a product (and optionally a specific variant).
POST
/subscription_feesAuthorization
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsonproduct_idintegerrequiredvariant_idintegerpayment_intervalstringrequiredAllowed:
1_week1_month3_months6_months12_monthsrenewal_feeintegerIn cents
setup_feeintegerIn cents
number_of_paymentsintegerpayment_dayintegerby_percentagebooleanallow_non_recurring_paymentbooleanmin_days_for_cancellationintegerallow_changing_daybooleanextend_on_reenablebooleanon_first_renewalstringResponses
201
Subscription fee created
_linksHalLinksidintegerseller_idintegerproduct_idintegervariant_idintegerpayment_intervalstringAllowed:
1_week1_month3_months6_months12_monthsrenewal_feeintegerIn cents
renewal_fee_priceintegerIn cents
setup_feeintegerIn cents
number_of_paymentsintegerpayment_dayintegerby_percentagebooleanallow_non_recurring_paymentbooleanmin_days_for_cancellationintegerallow_changing_daybooleanextend_on_reenablebooleanon_first_renewalstringcreated_onstring<date-time>updated_onstring<date-time>422
Validation error